Page MenuHomePhabricator

VisualEditor: IE9 places cursor inside ce=false table cell
Closed, DeclinedPublic8 Story Points

Description

With the following wikitext:

__NOTOC__ 

This is a test

{|
|-
| valign="top" | 
== Header  ==
* point one
* point two
...

VE starts up with the cursor on "This". Pressing down once in FF ends up with the cursor on the "Header" line. In IE, it ends up on the "point one" line. Pressing up once in IE then puts the cursor on the "Header" line.


Version: unspecified
Severity: normal

Details

Reference
bz63046

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:00 AM
bzimport set Reference to bz63046.

This is working as expected now. Pressing down once puts the cursor at the beginning of "Header" on my Windows 7 machine in IE10.

(In reply to Roan Kattouw from comment #1)

This is working as expected now. Pressing down once puts the cursor at the
beginning of "Header" on my Windows 7 machine in IE10.

...but of course this bug was filed against IE9. I'm blind.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2016, 5:25 PM

Cursoring into a table cell in IE9 now takes you inside the cell and lets you edit it. This is still wrong: it should create a table selection highlighting the first cell.

Esanders renamed this task from VisualEditor: IE9 skips header line in table to VisualEditor: IE9 places cursor inside ce=false table cell.Apr 20 2016, 10:38 AM
Krinkle removed a subscriber: Krinkle.Apr 21 2016, 11:31 PM
Jdforrester-WMF lowered the priority of this task from Normal to Low.Apr 25 2016, 7:08 PM
Jdforrester-WMF moved this task from Freezer to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF set Security to None.
Esanders closed this task as Declined.Apr 6 2017, 7:24 PM

IE9 support has been dropped: T162277